### Class

# FwupdPlugin EfiSignature

since: 1.0

#### Description [src]

    class FwupdPlugin.EfiSignature : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

A UEFI Signature as found in an `EFI_SIGNATURE_LIST`.

See also: `FuFirmware`

Available since: 1.0

#### Ancestors

- FuFirmware
- GObject

#### Descendants

- FuEfiX509Signature

#### Functions

###### fu_efi_signature_kind_from_string

Converts a string to an enumerated value.

since: 1.0

###### fu_efi_signature_kind_to_string

Converts an enumerated value to a string.

since: 1.0

#### Instance methods

###### fu_efi_signature_get_kind

Returns the signature kind.

since: 1.5.5

###### fu_efi_signature_get_owner

Returns the GUID of the signature owner.

since: 1.5.5

##### Methods inherited from FuFirmware (67)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct FwupdPluginEfiSignatureClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`
  No description available.